Starmade | shipyard nullpointer
Closed, FinishedPublic

Description

A server had a nullpointer exception (that got catched), supposedly it was caused by a planet shipyard although I can't reproduce.

[2016-02-03 23:22:01] java.lang.NullPointerException
[2016-02-03 23:22:01]     at obfuscated.apS.b(SourceFile:1091)
[2016-02-03 23:22:01]     at obfuscated.apN.a(SourceFile:200)
[2016-02-03 23:22:01]     at org.schema.game.common.controller.elements.shipyard.orders.states.CreateDesignFromBlueprint.onUpdate(SourceFile:116)
[2016-02-03 23:22:01]     at obfuscated.aqK.update(SourceFile:213)
[2016-02-03 23:22:01]     at obfuscated.aqG.update(SourceFile:145)
[2016-02-03 23:22:01]     at org.schema.game.common.controller.elements.shipyard.ShipyardCollectionManager.update(SourceFile:1210)
[2016-02-03 23:22:01]     at org.schema.game.common.controller.elements.ManagerModuleCollection.update(SourceFile:149)
[2016-02-03 23:22:01]     at org.schema.game.common.controller.elements.ManagerContainer.updateLocal(SourceFile:1741)
[2016-02-03 23:22:01]     at org.schema.game.common.controller.elements.StationaryManagerContainer.updateLocal(SourceFile:644)
[2016-02-03 23:22:01]     at obfuscated.Rr.updateLocal(SourceFile:283)
[2016-02-03 23:22:01]     at org.schema.game.server.controller.GameServerController.update(SourceFile:1276)
[2016-02-03 23:22:01]     at org.schema.schine.network.server.ServerController.run(SourceFile:256)
[2016-02-03 23:22:01]     at java.lang.Thread.run(Unknown Source)
[2016-02-03 23:22:01] [SERVER] Exception catched

Don't have the rest of the logs though, hope this is enough to fix it (not that we can confirm the fix anyway...)

Details

Testing Results
Affected Gamemode(s)
Multiplayer
Reproducible
Not on purpose
Last tested (version)
0.19556
Issue Type
Bug
Category
Control Block System: Shipyards
First occurrence (version)
0.19556
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
uncertain
Tester information (Internal use only)

See description, put back to open if stack trace isn't enough.

Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
lancake created this task.Feb 4 2016, 1:59 PM
lancake shifted this object from the S1 Public space to the S3 Starmade space.
lancake changed the visibility from "Custom Policy" to "Public (No Login Required)".
lancake changed the edit policy from "Task Author" to "Starmade (Project)".
lancake changed Category from none/unspecified to Control Block System: Shipyards.
lancake set First occurrence (version) to 0.19556.
lancake edited Serverconfig (server.cfg). (Show Details)
lancake edited Clientconfig (settings.cfg). (Show Details)
lancake changed Affected Gamemode(s) from none/unspecified to Multiplayer.
lancake changed Reproducible from uncertain to Not on purpose.
lancake set Last tested (version) to 0.19556.
lancake added a subscriber: lancake.
Restricted Application added a project: Workflow Issue Navigation. · View Herald TranscriptFeb 4 2016, 1:59 PM
Restricted Application added a subscriber: AndyP. · View Herald Transcript
lancake claimed this task.Feb 4 2016, 2:00 PM
lancake set Issue Type to Bug.
lancake set OS-Specific to No.
lancake set Hardware-Specific to No.
lancake set Video Card Vendor to uncertain.
lancake edited Tester information (Internal use only). (Show Details)

-Confirmed-

lancake changed the task status from "Open" to "In Queue (Game)".
AndyP raised the priority of this task from "High" to "Release Blocker".Mar 8 2016, 8:29 PM
schema changed the task status from "In Queue (Game)" to "Resolved".Mar 8 2016, 8:41 PM
schema added a subscriber: schema.

fixed with different bugfix. 99.9% sure it can't happen anymore

lancake closed this task as "Closed".Mar 19 2016, 10:25 PM

Closing then, no idea how to reproduce so if something similar happens again, we'll check it out.

Restricted Application removed a project: Workflow Quality Assurance. · View Herald TranscriptMar 19 2016, 10:25 PM
Restricted Application removed a subscriber: AndyP. · View Herald Transcript

Add Comment